import type * as ts from 'typescript';
export declare type TypeScriptLibsRequest = {
    type: 'libs';
    libs: string[];
    types: string[];
};
export declare type TypeScriptFileRequest = {
    type: 'file';
    filename: string;
    code: string;
};
export declare type TypeScriptQuickInfoRequest = {
    type: 'quickInfo';
    filename: string;
    position: number;
};
export declare type TypeScriptRequest = TypeScriptLibsRequest | TypeScriptFileRequest | TypeScriptQuickInfoRequest;
declare function typeScriptRequest(payload: TypeScriptQuickInfoRequest): Promise<ts.QuickInfo>;
declare function typeScriptRequest(payload: TypeScriptLibsRequest): Promise<void>;
declare function typeScriptRequest(payload: TypeScriptFileRequest): Promise<void>;
export default typeScriptRequest;
